LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XDimensionsSupplier Interface Reference

provides access to the collection of dimensions of a data pilot source. More...

`import"XDimensionsSupplier.idl";`

Inheritance diagram for XDimensionsSupplier:

## Public Member Functions
com::sun::star::container::XNameAccess | getDimensions ()
| returns the collection of dimensions. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to the collection of dimensions of a data pilot source.

See also
  com::sun::star::sheet::DataPilotSource

## Member Function Documentation

## ◆ getDimensions()

com::sun::star::container::XNameAccess getDimensions | ( |  | ) |

returns the collection of dimensions.

See also
  com::sun::star::sheet::DataPilotSourceDimensions

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XDimensionsSupplier.idl